import { ConfigServiceInterface } from '../types/ConfigServiceInterface.js';
import { EnvironmentVariablesService as CommonEnvironmentVariablesService } from '@aws-lambda-powertools/commons';
declare class EnvironmentVariablesService extends CommonEnvironmentVariablesService implements ConfigServiceInterface {
    private awsExecutionEnv;
    private samLocalVariable;
    private tracerCaptureErrorVariable;
    private tracerCaptureHTTPsRequestsVariable;
    private tracerCaptureResponseVariable;
    private tracingEnabledVariable;
    /**
     * It returns the value of the AWS_EXECUTION_ENV environment variable.
     *
     * @returns {string}
     */
    getAwsExecutionEnv(): string;
    /**
     * It returns the value of the POWERTOOLS_TRACER_CAPTURE_HTTPS_REQUESTS environment variable.
     *
     * @returns {string}
     */
    getCaptureHTTPsRequests(): string;
    /**
     * It returns the value of the AWS_SAM_LOCAL environment variable.
     *
     * @returns {string}
     */
    getSamLocal(): string;
    /**
     * It returns the value of the POWERTOOLS_TRACER_CAPTURE_ERROR environment variable.
     *
     * @returns {string}
     */
    getTracingCaptureError(): string;
    /**
     * It returns the value of the POWERTOOLS_TRACER_CAPTURE_RESPONSE environment variable.
     *
     * @returns {string}
     */
    getTracingCaptureResponse(): string;
    /**
     * It returns the value of the POWERTOOLS_TRACE_ENABLED environment variable.
     *
     * @returns {string}
     */
    getTracingEnabled(): string;
}
export { EnvironmentVariablesService };
//# sourceMappingURL=EnvironmentVariablesService.d.ts.map